/* This file is a component of the SurfAgent Proxy, based on original code from
 * the Internet Junkbuster Proxy.
 *
 * Copyright (C) 2000 Gabriel L. Somlo
 * Copyright (C) 1997 Anonymous Coders and Junkbusters Corporation
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program (see ../GPL.txt); if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef CHAT_H
#define CHAT_H


#include "linkvec.h"	/* for LinkVec */
#include "tfidf.h"	/* for WordVec */


#define VERSION_MAJOR "0"
#define VERSION_MINOR "2"
#define VERSION_POINT "2"
#define VERSION VERSION_MAJOR "." VERSION_MINOR "." VERSION_POINT

#define BANNER     "<strong><font color=\"white\">Surf</font><font color=\"black\">Agent</font></strong>"
#define BGCOLOR    "\"#80B0E0\""
#define LNKCOLOR   "\"#F0F0F0\""
#define VLNCOLOR   "\"#D0D0D0\""
#define BODY "<body bgcolor=" BGCOLOR " link=" LNKCOLOR " vlink=" VLNCOLOR ">\n"

#define SITE_MON "_sitemon"


extern int get_and_analyze( const char *url, LinkVec *lvp, WordVec *wvp );


#endif /* CHAT_H */
