/* This file is a component of the SurfAgent Proxy, based on original code from
 * the Internet Junkbuster Proxy.
 *
 * Copyright (C) 2000 Gabriel L. Somlo
 * Copyright (C) 1997 Anonymous Coders and Junkbusters Corporation
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program (see ../GPL.txt); if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

/********************************* htmparse.h **********************************

     Purpose: header for HTML parsing module: scan the html text, separating it
              out into words, and figuring out when we're in a link and what
              the URL of the link is...
     Notes: This module is implemented as an automaton: there are states between
            which transitions occur based on characters; on each transition
            there is a possible action associated with it.
**/

#ifndef HTMPARSE_H
#define HTMPARSE_H


#include "wordvec.h"		/* for WordVec */
#include "linkvec.h"		/* LinkVec */


typedef struct _HtmlParser *HPP;


extern void InitHtmlParse( char *stopfile );
extern HPP CreateHtmlParser( void );
extern void ParseHtml( char *inbuf, int nchrs, HPP hpp, WordVec v, LinkVec lv );
extern HPP DeleteHtmlParser( HPP hpp );


#endif /* HTMPARSE_H */
