/* This file is a component of the SurfAgent Proxy, based on original code from
 * the Internet Junkbuster Proxy.
 *
 * Copyright (C) 2000 Gabriel L. Somlo
 * Copyright (C) 1997 Anonymous Coders and Junkbusters Corporation
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program (see ../GPL.txt); if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

/*******************************   linkvec.h   *********************************

    Purpose: Header for the vector-of-html-links data structure

    Notes:   This module implements a collection for html links (including
             URL and a tfidf vector of the words around it )
**/

#ifndef LINKVEC_H
#define LINKVEC_H


#include "strlist.h"	/* for StrList */


typedef struct _LinkVecStruct *LinkVec;


extern LinkVec LinkVecCreate( char *base );
extern void    LinkVecChangeBase( LinkVec lv, char *newbase );
extern void    LinkVecAddURL( LinkVec lv, char *url );
extern void    LinkVecAddLinkWord( LinkVec lv, char *word );
extern StrList LinkVecGetURLs( const LinkVec lv );
extern LinkVec LinkVecDelete( LinkVec lv );


#endif /* LINKVEC_H */
