/* This file is a component of the SurfAgent Proxy, based on original code from
 * the Internet Junkbuster Proxy.
 *
 * Copyright (C) 2000 Gabriel L. Somlo
 * Copyright (C) 1997 Anonymous Coders and Junkbusters Corporation
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program (see ../GPL.txt); if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

/********************************  profile.h  **********************************

    Purpose: this is the interface to the user-profile handling module.
    Notes: Everything except the functions in this module is private. The
           load_profile() function is run before threaded execution begins. The
           others have to lock sensitive portions of the user profile.

**/

#ifndef PROFILE_H
#define PROFILE_H


#include "wordvec.h"
#include "linkvec.h"


extern void  load_profile( const char *profile_dir );
extern char *update_download( WordVec wv, char *user_id );
extern void  update_profile( WordVec wv,
                             const char *user_id, const char *sa_categname );
extern int   valid_user( char *user_id );

extern int   add_monlist( char *user_id, char *url );
extern int   del_monlist( char *user_id, char *url );
extern char *get_monlist( char *user_id );
extern char *get_monres( char *user_id );
extern void *site_monitor( void *arg );


#endif /* PROFILE_H */
