/* This file is a component of the SurfAgent Proxy, based on original code from
 * the Internet Junkbuster Proxy.
 *
 * Copyright (C) 2000 Gabriel L. Somlo
 * Copyright (C) 1997 Anonymous Coders and Junkbusters Corporation
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program (see ../GPL.txt); if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

/********************************  stopword.h  *********************************

    Purpose: Interface to stopword module.

    Notes:   None.
**/

#ifndef STOPWORD_H
#define STOPWORD_H


#include "trie.h"		/* for TrieNode */


extern void     StopListInit( const char *stopfile );
extern TrieNode StopReset( void );
extern TrieNode StopNextChar( TrieNode tn, char c );
extern int      StopBoolIsStop( TrieNode tn );

#endif /* STOPWORD_H */
