/* This file is a component of the SurfAgent Proxy, based on original code from
 * the Internet Junkbuster Proxy.
 *
 * Copyright (C) 2000 Gabriel L. Somlo
 * Copyright (C) 1997 Anonymous Coders and Junkbusters Corporation
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program (see ../GPL.txt); if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

/*******************************   tfidf.h   **********************************

    Purpose: TF-IDF document analysis operations header

    Notes:   This module implements the operations necessary for document
             analysis using TF-IDF vectors.
**/


#ifndef TFIDF_H
#define TFIDF_H

#include "wordvec.h"	/* for WordVec */


#define TFIDF_ANALYZE_ONLY    0		/* update = FALSE */
#define TFIDF_ANALYZE_UPDATE  1		/* update = TRUE  */


typedef struct _TfIdfStruct *TfIdf;		/* the base word vector type */


extern TfIdf   TfIdfInit( void );
extern TfIdf   TfIdfLoad( char *dname, char *dfname );
extern int     TfIdfSave( TfIdf tfidf, char *dname, char *dfname );
extern TfIdf   TfIdfDelete( TfIdf tfidf );
extern int     TfIdfAnalyze( TfIdf tfidf, WordVec tf, int update );


#endif  /* TFIDF_H */
