/* This file is a component of the SurfAgent Proxy, based on original code from
 * the Internet Junkbuster Proxy.
 *
 * Copyright (C) 2000 Gabriel L. Somlo
 * Copyright (C) 1997 Anonymous Coders and Junkbusters Corporation
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program (see ../GPL.txt); if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

/*********************************  urlstr.h  **********************************

    Purpose: String operations on URL's.

    Notes:   none.
**/

#ifndef URLSTR_H
#define URLSTR_H


/* This structure will contain the core components of an URL */
typedef struct {
  char *proto;		/* protocol */
  char *hostport;	/* host[:port] string */
  char *hoststr;	/* host name or IP in string form */
  int hostip;		/* host IP number (32 bit internal) */
  int port;		/* port number */
  char *path;		/* path to follow after connect */
} UrlContentStruct, *UrlContent;


extern UrlContent parse_url( char *url );
extern UrlContent DeleteUrlContent( UrlContent url_content );
extern int urlcmpstr( UrlContent crtstruct, UrlContent docstruct );
extern int urlcmp( char *crturl, char *docurl );
extern char *qualify_path( char *basepath, char *relpath );
extern int is_qualified( char *url );
extern UrlContent qualify_url( UrlContent base, char *relpath );


#endif /* URLSTR_H */
